Page MenuHomePhabricator

Things that could use a category table (tracking)
Closed, ResolvedPublic

Description

Author: ayg

Description:
As has been discussed often before, MediaWiki could use a category table, with sizes for each category stored centrally instead of needing to be calculated using COUNT(*). This bug tracks other bugs and features that could be fixed more easily (or at all) when a category table is finally created.


Version: unspecified
Severity: enhancement

Details

Reference
bz13326

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 10:05 PM
bzimport set Reference to bz13326.
bzimport added a subscriber: Unknown Object (MLST).
bzimport created this task.Mar 11 2008, 5:31 PM

ayg wrote:

Whoops, I got the dependencies backwards. :D

Adding 'tracking' keyword.

This table has been in mediawiki since 1.13

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 30 2015, 6:24 AM
matmarex closed this task as Resolved.Nov 30 2016, 4:52 PM
matmarex added a subscriber: matmarex.

As this 'category' table has existed for 8 years now, I don't think this tracking bug makes much sense. Most of the tracked tasks have actually been fixed, which is nice.